import "core-js/modules/es.regexp.exec";
import "core-js/modules/es.string.replace";

/*
 * 替换正则表达式匹配的文本
 */
export function replaceRegexMatchedText(text) {
  var regExp = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : /\${(\w+)}/g;
  var source = arguments.length > 2 ? arguments[2] : undefined;

  if (typeof source === 'string') {
    return text.replace(regExp, source);
  } // 占位符对应的值是否不存在


  var flag = false;
  var resultStr = text.replace(regExp, function ($, $1) {
    var result = source[$1];

    if (!result) {
      flag = true;
    }

    return result || '';
  });
  return flag ? '' : resultStr;
}
/**
 * 替换正则表达式匹配的文本优化后的版本
 */

export function replaceSpecialStr(str) {
  var reg = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : /\[(\w+)\]/g;
  var map = arguments.length > 2 ? arguments[2] : undefined;
  if (!str || typeof str !== 'string') return str;
  return str.replace(reg, function (template, key) {
    if (map[key]) {
      return map[key];
    }

    return template;
  });
}